> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List survey results

> Retrieve a paginated list of submitted results for a specific survey.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/surveys/{surveyId}/results
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/surveys/{surveyId}/results:
    get:
      tags:
        - Surveys
      summary: List survey results
      description: Retrieve a paginated list of submitted results for a specific survey.
      operationId: publicGetSurveyResults
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: surveyId
          required: true
          in: path
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items to return per page. Default is 50, maximum is 200.
          schema:
            minimum: 1
            maximum: 200
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor for pagination. Use the nextCursor from previous response to
            get next page.
          schema:
            example: eyJwYWdlIjoyLCJsaW1pdCI6NTB9
            type: string
      responses:
        '200':
          description: Successfully retrieved survey results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetSurveyResultsResponseDto'
        '400':
          description: Invalid query parameters
        '401':
          description: Invalid or missing API key
        '404':
          description: Survey not found
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicGetSurveyResultsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicSurveyResultResponseDto'
      required:
        - meta
        - items
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    PublicSurveyResultResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        surveyId:
          type: number
          readOnly: true
          example: 123
        identityId:
          type: string
          readOnly: true
          example: user123
        entityId:
          type: string
          readOnly: true
          example: device123
        result:
          type: object
          readOnly: true
        createdAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-01-01T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-01-01T12:00:00Z'
      required:
        - id
        - surveyId
        - identityId
        - entityId
        - result
        - createdAt
        - updatedAt
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````